/* font */
@font-face {
  font-family: "Open Sans";
  src: url('../font/OpenSans-Regular.ttf');
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Open Sans", sans-serif;
}

/* colors */
:root {
  --bs-primary: #3ec1d5;
  --bs-theme-black: #545454;
  --bs-white: #fff;
}

/* GENERAL */

/* for theme blue color text */
.text-primary{
  color: var(--bs-primary) !important
}

/* font */
h1,
h2,
h3,
h4,
h5,
h6,
p,
span{
  font-family: "Open Sans", sans-serif;
}

/* for gray backgrund */
.bg-dark-gray{
  background-color: #303030 !important;
}

/* all images */
img{
  object-fit: cover;
  width: 100%;
  height: 100%;
}

/* logo */
#logo{
  font-family: "Open Sans", sans-serif;
  font-weight: bold;
  font-size: 24px;
  text-transform: uppercase;
  color: var(--bs-white);
}

#logo img{
  height: 60px;
  width: auto;
  max-width: 100px;
  margin-right: 10px;
}

/* underline below the headings */
.heading-underline{
  width: 50px;
  height: 3px;
  display: block;
  background-color: var(--bs-primary);
  margin: 20px auto;
}

/* sections */
section{
  padding: 0 0 80px 0;
}

/* primary or theme buttons */
.btn-primary{
  background-color: var(--bs-primary);
  border: 1px solid var(--bs-primary) !important;
}

.btn-primary:hover{
  color: var(--bs-primary);
  background-color: var(--bs-white);
  border: 1px solid var(--bs-primary);
}

.btn-theme{
  padding: 6px 35px;
  font-size: 16px;
  font-family: "Open Sans", sans-serif;
  outline: 0;
  box-shadow: none;
  border-radius: 20px;
}

/* HEADER */
header.index{
  margin-bottom: -70px;
}

.index + main .container > section:first-child{
  z-index:  100;
  position: relative;
  margin-top: 0;
}

/* button that takes you to the top of the page */
#backtoTop{
  background-color: var(--bs-primary);
  width: 30px;
  height: 30px;
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 10000;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  text-decoration: none;
}

/* For page titles e.g. Our Company*/
.pageTitle h2{
  font-size: 28px;
  font-weight: 700;
  color: black;
  font-family: "Open Sans", sans-serif;
}

/* NAVBAR */
header nav{
  position: fixed !important;
  top: 0;
  z-index: 100000;
  left: 0;
  right: 0;
  padding: 0 !important;
}

/* a shodow below header when user scrolls the page */
header nav.shadow{
  box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 10%) !important;
}

header nav.bg-dark-op{
  background-color: rgba(0, 0, 0, 0.5);
}

/* nav links */
.nav-link{
  color: var(--bs-white) !important;
  font-family: "Open Sans", sans-serif;
  font-size: 14px;
  letter-spacing: 1px;
  font-weight: 500;
}

.active .nav-link,
.nav-link:hover{
  color: var(--bs-primary) !important;
}

/* menu toggle button for small devices */
.navbar-toggler{
  border: none !important;
  box-shadow: none !important;
}

.navbar-toggler-icon{
  background-image: none !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 5px;
  gap: 5px;
}

.navbar-toggler[aria-expanded="true"] 
.navbar-toggler-icon span:nth-child(2){
  display: none;
}

.navbar-toggler[aria-expanded="true"] 
.navbar-toggler-icon span:nth-child(1){
  transform: rotate(45deg) translateY(4.2px) translateX(5.5px);
}

.navbar-toggler[aria-expanded="true"] 
.navbar-toggler-icon span:nth-child(3){
  transform: rotate(-45deg) translateY(0px);
}

.navbar-toggler-icon span{
  width: 20px;
  height: 2px;
  background-color: var(--bs-white);
  transition: all 0.2s ease;
}

/* HEADER slider */
#headerSlider{
  height: 70vh;
}

header .carousel-inner,
header .carousel-item{
  height: 100%;
}

header .carousel-item{
  background-color: #000000a8;
}

header .carousel-item img{
  mix-blend-mode: overlay;
}

/* Carousel indicator buttons */
header .carousel-indicators button{
  width: 10px !important;
  height: 10px !important;
  border-radius: 50% !important;
  background-color: #f5f5f5 !important;
  border: 1px solid #f5f5f5 !important;
  margin-right: 8px !important;
}

header .carousel-indicators button.active{
  background-color: var(--bs-primary) !important;
  border: 1px solid var(--bs-primary) !important;
}

header .carousel-indicators{
  bottom: 80px;
}

/* Carousel Caption */
header .carousel-caption{
  bottom: calc(20% + 20px);
  left: 0;
  right: 0;
}

header .carousel-caption a{
  font-family: "Open Sans", sans-serif;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 12px 32px;
  border-radius: 50px;
  transition: 0.5s;
  line-height: 1;
  margin: 10px;
  color: #fff;
  border: 2px solid var(--bs-primary);
  background: var(--bs-primary);
}

.carousel-caption a,
.carousel-caption p{
  animation-duration: 1s;
  animation-name: fade-up; /*animation*/
  opacity: 1;
}

.carousel-caption p{
  font-size: 16px;
  width: 50%;
  margin: auto;
  line-height: 1.2;
  margin-bottom: 30px;
  font-family: "Open Sans", sans-serif;
}

.carousel-caption h5{
  animation-duration: 1s; /*animation*/
  margin-bottom: 20px;
  animation-name: fade-down;
  opacity: 1;    
  color: var(--bs-white);
  margin: auto;
  margin-bottom: 30px;
  font-size: 48px;
  font-weight: 700;
  width: 90%;
  font-family: "Open Sans", sans-serif;
}

/* previous next buttons */
.carousel-control-next, 
.carousel-control-prev{
  width:  100px;
}

/* Section Content */
.content p,
.content ul{
  line-height: 1.5;
  font-size: 16px;
  text-align: justify;
  color: var(--bs-theme-black);
}

.content h3{
  color: var(--bs-theme-black);  
  font-weight: 600;
  font-size: 26px;
}

/* icon of mission section */
.mission .fa{
  color: var(--bs-primary)
}

/* cards */
:is(.services, .about) .card img{ /* for card images */
  /* width: 100px; */
  height: 150px;
}

:is(.services, .about)
.card h3 a{ /* for card title link */
  font-size: 20px;
  color: var(--bs-theme-black);
  text-decoration: none;
  margin-bottom: 15px;
  font-weight: 700;
  margin-top: 15px;
  display: block;
  font-family: "Open Sans", sans-serif;
}

:is(.services, .about)
.card h4 a{ /* for card title */
  font-size: 24px;
  color: var(--bs-theme-black);
  text-decoration: none;
  margin-bottom: 15px;
  font-weight: 700;
  margin-top: 15px;
  display: block;
  font-family: "Open Sans", sans-serif;
}

:is(.services, .about)
.card:hover a{ /* card link on hover */
  color: var(--bs-white);
}

:is(.services, .about)
.card.shadow{ /* card shadows */
  box-shadow: 0px 2px 15px rgb(0 0 0 / 15%) !important;
}

:is(.services, .about)
.card .card-title{ /* card title: font color etc */
  color: var(--bs-theme-black);
  font-weight: bold;
  margin-bottom: 15px;
}

:is(.services, .about)
.card p{  /* card text */
  font-size: 14px;
  color: var(--bs-theme-black);
  line-height: 24px;
  margin-bottom: 0;
}

:is(.services, .about)
.card i{ /* card icon */
  font-size: 42px;
}

:is(.services, .about)
.card{ /* card bg change effect */
  transition:  background-color 0.1s ease-in;
}

:is(.services, .about)
.card p,
:is(.services, .about)
.card .card-title,
:is(.services, .about)
.card:hover .fa{ /* color change effect */
  transition:  color 0.1s ease-in;
}

:is(.services, .about)
.card:hover{ /* card background change on hover */
  background-color: var(--bs-primary);
}

:is(.services, .about)
.card:hover p,
:is(.services, .about)
.card:hover .card-title,
:is(.services, .about)
.card:hover .fa{
  color: var(--bs-white) !important;
}

/* ANIMATION KEYFRAMES */
@keyframes fade-up {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0,100%,0);
    transform: translate3d(0,100%,0);
  }
  100% {
      opacity: 1;
      -webkit-transform: translateZ(0);
      transform: translateZ(0);
  }
}

@keyframes fade-down {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0,-100%,0);
    transform: translate3d(0,-100%,0);
  }
  100% {
      opacity: 1;
      -webkit-transform: translateZ(0);
      transform: translateZ(0);
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Industry Carousel */
@media (max-width: 767px) {
  #industryCarousel .carousel-inner .carousel-item > div:first-child {
    display: block;
  }
}

/* carousel indicator */
#industryCarousel .carousel-indicators{
  bottom: -10px;
}

#industryCarousel .carousel-inner .carousel-item.active,
#industryCarousel .carousel-inner .carousel-item-next,
#industryCarousel .carousel-inner .carousel-item-prev 
{
  display: flex;
}

/* medium and up screens transition*/
@media (min-width: 991px) {
  #industryCarousel .carousel-inner .carousel-item-end.active,
  #industryCarousel .carousel-inner .carousel-item-next {
    transform: translateX(15%);
  }
  
  #industryCarousel .carousel-inner .carousel-item-start.active, 
  #industryCarousel .carousel-inner .carousel-item-prev {
    transform: translateX(-15%);
  }
  
  #industryCarousel .carousel-inner .carousel-item-end,
  #industryCarousel .carousel-inner .carousel-item-start { 
    transform: translateX(0);
    }

}

@media (min-width: 768px) and (max-width: 991px) {
  #industryCarousel .carousel-inner .carousel-item-end.active,
  #industryCarousel .carousel-inner .carousel-item-next {
    transform: translateX(25%);
  }
  
  #industryCarousel .carousel-inner .carousel-item-start.active, 
  #industryCarousel .carousel-inner .carousel-item-prev {
    transform: translateX(-25%);
  }

  #industryCarousel .carousel-inner .carousel-item-end,
  #industryCarousel .carousel-inner .carousel-item-start { 
    transform: translateX(0);
    }
}

@media (max-width: 768px) {
  #industryCarousel .carousel-inner .carousel-item-end.active,
  #industryCarousel .carousel-inner .carousel-item-next {
    transform: translateX(40%);
  }

  #industryCarousel .carousel-inner .carousel-item-start.active, 
  #industryCarousel .carousel-inner .carousel-item-prev {
    transform: translateX(-40%);
  }

  #industryCarousel .carousel-inner .carousel-item-end,
  #industryCarousel .carousel-inner .carousel-item-start { 
    transform: translateX(0);
  }
}

/* carousel image */
#industryCarousel .card-img img{ /* image fade effect */
  width: 90px;
  opacity: 0.5;
  transition: 0.3s;
  filter: grayscale(100);
}

#industryCarousel .card img:hover{ /* color on hover */
  opacity: 1;
  filter: none
}

#industryCarousel .card-img{
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#industryCarousel .card{
  box-shadow: none;
  border: none;
}

/* indicator button styles */
#industryCarousel .carousel-indicators button{
  width: 10px !important;
  height: 10px !important;
  border-radius: 50% !important;
  background-color: transparent !important;
  border: 1px solid var(--bs-primary) !important;
}

#industryCarousel .carousel-indicators button.active{
  background-color: var(--bs-primary) !important;
  border: 1px solid var(--bs-primary) !important;
}

/* Footer */
footer .social-links a{
  color: white;
  background-color: #545454;
  width: 30px;
  height: 30px;
  text-align: center;
  border-radius: 50%;
  font-size: 15px;
}

.social-links a:hover{
  background-color: var(--bs-primary);
}

.social-links a i{
  vertical-align: middle;
}

footer h5{
  font-weight: bold;
  font-size: 16px;
}

footer .contact{
  max-width: 200px;
}

footer span,
footer i,
footer a{
  font-size: 13px;
}

/* Responsiveness */
@media (max-height: 700px), (max-width: 1200px){
  header.index {
    margin-bottom: 60px;
  }

  header.index + main .container section:first-child{
    margin-top: 0px;
  }

  header .carousel-caption{
    bottom: 20%;
  }

  header .carousel-indicators {
    bottom: 0;
  }

  #headerSlider{
    height: 580px;
  }
}

@media screen and (max-width: 1024px) {
  header .carousel-caption p{
    width: 80%;
  }

  header .carousel-caption h5{
    width: calc(100% - 20px);
  }
}

@media screen and (min-width: 768px) {
  header .carousel-control-next-icon, header .carousel-control-prev-icon{
    width: 3rem;
    height: 3rem;
  }
}

@media screen and (max-width: 991px) {
  .navbar-collapse{
    animation-duration: 0.3s;
    animation-name: fade;
    opacity: 1;
    background: black;
    position: absolute;
    z-index: 10000000000;
    left: 0;
    right: 0;
    top: 78px;
    padding: 20px;
    min-height: 100vh;
    height: fit-content;
  }

  .navbar-collapse .navbar-nav{
    background-color: white;
    padding: 20px;
    height: fit-content !important;
  }

  .nav-link{
    color:  black !important;
  }
}

@media screen and (max-width: 900px) {
  header .carousel-caption.d-none{
    display: block !important;
  }
}

@media screen and (max-width: 767px) {
  #headerSlider {
    height: 600px;
  }

  header .carousel-caption{
    bottom: 120px !important
  }
}

@media screen and (max-width: 575px) {
  .container{
    padding-left: 20px;
    padding-right: 20px;
  }

  header .carousel-control-next, 
  header .carousel-control-prev {
    width: 35px;
  }

  header .carousel-control-next-icon, 
  header .carousel-control-prev-icon{
    width: 3rem;
    height: 3rem;
  }
}

@media screen and (max-width: 500px) {
  header .carousel-caption h5{
    font-size: 40px;
  }

  #logo img {
    height: 40px;
    word-wrap: break-word;
  }

  #logo{
    font-size: 21px;
  }

  .navbar-collapse{
    top: 58px
  }
}

@media screen and (max-width: 400px) {
  header .carousel-caption h5{
    width: 100%;
    font-size: 30px;
  }

  #logo span{
    display: none;
  }
}